## rlog 0.1.0

=== DESCRIPTION ===
Package: rlog
Title: A Simple, Opinionated Logging Utility
Version: 0.1.0
Authors@R: 
    person(given = "Mark",
           family = "Sellors",
           role = c("aut", "cre"),
           email = "rstats@5vcc.com")
Description: A very lightweight package that writes out log messages in an opinionated way.
  Simpler and lighter than other logging packages, 'rlog' provides a compact feature set that
  focuses on getting the job done in a Unix-like way.
URL: https://github.com/sellorm/rlog
BugReports: https://github.com/sellorm/rlog/issues
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
Suggests: testthat (>= 3.0.0)
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2021-02-22 15:04:40 UTC; sellorm
Author: Mark Sellors [aut, cre]
Maintainer: Mark Sellors <rstats@5vcc.com>
Repository: CRAN
Date/Publication: 2021-02-24 09:20:05 UTC

## rlog 1.4

=== debian/changelog ===
rlog (1.4-4.2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:58:20 +1100

rlog (1.4-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062863

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 23:03:10 +0000

rlog (1.4-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/0002-Fix-FTBFS-with-autoconf2.70.patch: Add patch
    to fix FTBFS with autoconf 2.70+. (Closes: #978897)

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Sep 2021 02:00:36 -0400

rlog (1.4-4) unstable; urgency=medium

  * GCC5 transition (librlog5 -> librlog5v5, closes: #791268)

 -- Eduard Bloch <blade@debian.org>  Mon, 03 Aug 2015 20:07:54 +0200

rlog (1.4-3) unstable; urgency=medium

  * Migrating packaging to debhelper 9
  * All hardening flags enabled

 -- Eduard Bloch <blade@debian.org>  Mon, 06 Jul 2015 22:44:17 +0200

rlog (1.4-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use dh-autoreconf in build to support new architectures
    (Closes: 747877 748851)
    
 -- Chen Baozi <baozich@gmail.com>  Fri, 13 Jun 2014 15:33:19 +0800

rlog (1.4-2) unstable; urgency=low

  * Adapted build-dependencies to doxygen-latex (closes: #616277)
  * Package format conversion to built-in quilt (3.0)
  * Policy version update with minor changes, added build-* targets, fixed
    package description (extra -dev moved to its correct location)

 -- Eduard Bloch <blade@debian.org>  Tue, 18 Oct 2011 23:02:06 +0200

rlog (1.4-1) unstable; urgency=low

  * New upstream release (closes: #554245)
    + fixed FTBFS due to invalid pointer conversion (closes: #550403)
    + adds recent config.{guess,sub} with avr32 (closes: #537757)
    + new SONAME, librlog1c2a -> librlog5
  * package review and cleanup for: debhelper 5, policy 3.8.3
  * added quilt usage (legacy style), incorporated changes from #424285
  * copyright file review, fixed LGPL version to 2.1

 -- Eduard Bloch <blade@debian.org>  Sun, 29 Nov 2009 13:21:24 +0100

rlog (1.3.7-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Do not remove preprocessed docs upon clean, closes: #424285

 -- Michael Meskes <meskes@debian.org>  Fri, 18 Apr 2008 13:40:16 +0200

rlog (1.3.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc-4.3. Thanks to Cyril Brulebois. Closes: #454827

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 16 Mar 2008 22:29:00 +0000

rlog (1.3.7-1) unstable; urgency=low

  * New upstream release
  * libstdc++ allocator change transition: c2 -> c2a, added Build-Conflicts
    with older compiler versions (closes: #339259)

 -- Eduard Bloch <blade@debian.org>  Sat, 07 Jan 2006 15:41:03 +0100

rlog (1.3.6-2) unstable; urgency=medium

  * g++-4.0 transition: librlog1 -> librlog1c2

 -- Eduard Bloch <blade@debian.org>  Mon, 11 Jul 2005 19:19:40 +0200

rlog (1.3.6-1) unstable; urgency=low

  * Initial Release.

 -- Eduard Bloch <blade@debian.org>  Thu, 10 Mar 2005 10:45:20 +0100

=== debian/control ===
Source: rlog
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>> 9), dh-autoreconf, doxygen-latex, g++ (>= 4:5.2)
Standards-Version: 3.9.6
Section: libs

Package: librlog-dev
Section: libdevel
Architecture: any
Depends: librlog5t64 (= ${binary:Version}), ${misc:Depends}
Description: flexible message logging library - development files
 RLog library provides a flexible message logging facility for C++ programs and
 libraries. It is meant to be fast enough to live in production code. RLog
 provides macros which are similar to Qt's debug macros, which are similar
 to simple printf() statements
 .
 This package provides development files and API documentation.

Package: librlog5t64
Provides: ${t64:Provides}
X-Time64-Compat: librlog5v5
Replaces: librlog5v5
Breaks: librlog5v5 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: librlog5
Description: flexible message logging library
 RLog provides a flexible message logging facility for C++ programs and
 libraries. It is meant to be fast enough to live in production code.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk
-include /usr/share/quilt/quilt.make

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS += -O0
else
	CXXFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

%:
	dh $@ --parallel --with autoreconf

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog
